
!Collection methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 18:53'!
copyEmpty: aSize
	"Answer a copy of the receiver that contains no elements.

	This method should be redefined in subclasses that add
	instance variables, so that the state of those variables
	is preserved"

	^self class new: aSize! !

!Number methodsFor: '*Xtreams-VWCompatible' stamp: 'ul 10/11/2010 04:03'!
milliseconds

	^self milliSeconds! !

!Exception class methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 22:59'!
raise
	^self signal! !

!Exception methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 23:00'!
originator
	^signalContext receiver! !

!Exception methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 22:59'!
raise
	^self signal! !

!SequenceableCollection class methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 19:02'!
withSize: size 
	"In general, the argument to #new: refers to the capacity of the 
	collection that is created, not the size. For ArrayedCollections, the 
	two are synonymous, but for collections that support #add: and 
	#remove:, this is not true. 
	
	This method creates a collection with the specified capacity AND 
	size, filling in the elements of the collection with the default 
	element for the collection. 
	
	Some collection types such as LinkedList, Interval, and 
	SortedCollection, may be unable to support this protocol for one 
	reason or another."

	^self ofSize: size! !

!SequenceableCollection methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 23:14'!
growToAtLeast: requestedSize
	"NOTE: since becomeForward: is known to be inefficient, use parsimoniously."
	
	| bigger sz |
	(sz := self size) >= requestedSize
		ifTrue: [^self ].
	bigger := self grownBy: (sz max: requestedSize - sz).
	^self becomeForward: bigger! !

!Object methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 19:44'!
isFixedArgument
	"Answer if the receiver, when passed as an argument through the 
	 DLL & C Connect, represents data at a fixed address.  This is true
	 for objects created via the newInFixedSpace: primitive. Fail if the
	 receiver is immediate, since it has no data.  In this case the Smalltalk
	 code copes with the immediate case."

	^false! !

!SortedCollection methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/9/2010 18:54'!
copyEmpty: aSize
	"Answer a copy of the receiver that contains no elements.

	This method should be redefined in subclasses that add
	instance variables, so that the state of those variables
	is preserved"

	^(super copyEmpty: aSize) sortBlock: sortBlock! !

!Symbol methodsFor: '*Xtreams-VWCompatible' stamp: 'nice 10/10/2010 15:28'!
cull: anObject 
	^anObject perform: self.! !
